//
// C++ Implementation: samplenumberdisplaylist
//
// Description: 
//
//
// Author: Predrag Viceic <viceic@net2000.ch>, (C) 2005
//
// Copyright: See COPYING file that comes with this distribution
//
//
#include "samplenumberdisplaylist.h"

SampleNumberDisplayList::SampleNumberDisplayList()
 : QPtrList<SampleNumberDisplay>()
{
}


SampleNumberDisplayList::~SampleNumberDisplayList()
{
}

int SampleNumberDisplayList::compareItems ( QPtrCollection::Item item1, QPtrCollection::Item item2 ){
    if(((SampleNumberDisplay*)item1)->getNumber() < ((SampleNumberDisplay*)item2)->getNumber())
        return -1;
    else if(((SampleNumberDisplay*)item1)->getNumber()==((SampleNumberDisplay*)item2)->getNumber())
        return 0;
    else return 1;
}


